Qyra
ReferenceOrganizations

Create group

Creates a new group in the current user's organization

POST/api/v1/org/groups

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Request body

{
  "name": "string",
  "members": [
    {
      "userUuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
    }
  ]
}

Responses

200 — Ok

{
  "results": {
    "organizationUuid": "string",
    "updatedByUserUuid": "string",
    "updatedAt": "2024-01-01T00:00:00.000Z",
    "createdByUserUuid": "string",
    "createdAt": "2024-01-01T00:00:00.000Z",
    "name": "string",
    "uuid": "string",
    "memberUuids": [
      "string"
    ],
    "members": [
      {
        "lastName": "string",
        "firstName": "string",
        "email": "string",
        "userUuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
      }
    ]
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}